> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Wholesale Order

> This endpoint updates a wholesale order

### Body

<ParamField body="id" type="string">
  The Id of the wholesale order
</ParamField>

<ParamField body="name" type="string">
  The name of the wholesale order
</ParamField>

<ParamField body="order_number" type="string">
  The order number of the wholesale order
</ParamField>

<ParamField body="created_date" type="string">
  The date the wholesale order was created
</ParamField>

<ParamField body="updated_date" type="string">
  The date the wholesale order was last updated
</ParamField>

<ParamField body="order_financial_status" type="string">
  The financial status of the wholesale order
</ParamField>

<ParamField body="order_fulfillment_status" type="string">
  The fulfillment status of the wholesale order
</ParamField>

<ParamField body="order_imported_status" type="string">
  The imported status of the wholesale order
</ParamField>

<ParamField body="delivery_date" type="string">
  The delivery date of the wholesale order
</ParamField>

<ParamField body="delivery_address" type="string">
  The delivery address of the wholesale order
</ParamField>

<ParamField body="location" type="string">
  Location or site where the work order is applicable
</ParamField>

<ParamField body="memo" type="string">
  Memo or additional notes related to the work order
</ParamField>

<ParamField body="imported_date" type="string">
  The date the wholesale order was imported
</ParamField>

<ParamField body="customer_number" type="string">
  The customer number of the wholesale order
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<ResponseField name="message" type="string">
  A message indicating the result of the call.
</ResponseField>

<ResponseField name="data" type="object">
  The wholesale order object that was created.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/wholesale_order' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "wo_123",
      "name": "123",
      "order_number": "123",
      "created_date": "2021-01-01T00:00:00.000Z",
      "updated_date": "2021-01-01T00:00:00.000Z",
      "order_financial_status": "123",
      "order_fulfillment_status": "123",
      "order_imported_status": "123",
      "delivery_date": "2021-01-01T00:00:00.000Z",
      "delivery_address": "123",
      "location": "123",
      "memo": "123",
      "imported_date": "2021-01-01T00:00:00.000Z",
      "customer_number": "123"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "success": 1,
      "message": "Wholesale Order updated successfully",
      "data": {
          "id": "wo_123",
          "name": "123",
          "order_number": "123",
          "created_date": "2021-01-01T00:00:00.000Z",
          "updated_date": "2021-01-01T00:00:00.000Z",
          "order_financial_status": "123",
          "order_fulfillment_status": "123",
          "order_imported_status": "123",
          "delivery_date": "2021-01-01T00:00:00.000Z",
          "delivery_address": "123",
          "location": "123",
          "memo": "123",
          "imported_date": "2021-01-01T00:00:00.000Z",
          "customer_number": "123"
      }
  }
  ```
</ResponseExample>
